/*****************************************************************************
 * Copyright 2008 Dustin Long (dlong@progmatism.com)
 *
 * This file is part of Paragrasp.
 *
 * Paragrasp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Paragrasp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Paragrasp.  If not, see <http://www.gnu.org/licenses/>.
 *****************************************************************************/
var ParagraspAdvanced =
{
    startConfig : function()
    {
        var listElemPref     = ParagraspShared.getStringPref("paragrasp.advopt.listElem");
        var incShortiesPref  = ParagraspShared.getStringPref("paragrasp.advopt.incShorties");
        var noSpansPref      = ParagraspShared.getStringPref("paragrasp.advopt.noSpans");

        var advOptListElem = document.getElementById("advOptListElem");
        if (listElemPref == "1")
        {
            advOptListElem.checked = true;
        }

	var advOptIncShorties = document.getElementById("advOptIncShorties");
	if (incShortiesPref == "1")
	{
            advOptIncShorties.checked = true;
	}

	var advOptNoSpans = document.getElementById("advOptNoSpans");
	if (noSpansPref == "1")
	{
            advOptNoSpans.checked = true;
	}
    },

    finishConfig : function()
    {
	this.saveAdvancedOptions();
	window.close();
    },

    dismissConfig : function()
    {
	window.close();
    },

    saveAdvancedOptions : function()
    {
	/*
    var advOptScrollTop = document.getElementById("advOptScrollTop");
    var scrollTopPref = (advOptScrollTop.checked) ? "1" : "0";
    setStringPref("paragrasp.advopt.scrollTop", scrollTopPref);
*/

	var advOptListElem = document.getElementById("advOptListElem");
	var listElemPref = (advOptListElem.checked) ? "1" : "0";
	ParagraspShared.setStringPref("paragrasp.advopt.listElem", listElemPref);

	var advOptIncShorties = document.getElementById("advOptIncShorties");
	var incShortiesPref = (advOptIncShorties.checked) ? "1" : "0";
	ParagraspShared.setStringPref("paragrasp.advopt.incShorties", incShortiesPref);

	var advOptNoSpans = document.getElementById("advOptNoSpans");
	var noSpansPref = (advOptNoSpans.checked) ? "1" : "0";
	ParagraspShared.setStringPref("paragrasp.advopt.noSpans", noSpansPref);

    }
};
