
load("viewing.js");

var dummy_listener =
{
    addEventListener : function(a, b, c)
    {
    }
};

var window = dummy_listener;
var document = dummy_listener;

function assert(cond)
{
    if (cond) { return; }
    dump("Assertion failed!\n");
    dump("caller was [" + assert.caller + "]\n");
    throw "Assertion failed";
}

var TestSuite =
{
    run_all_tests : function()
    {
        for (i in this)
        {
            if (i.substring(0, 5) == "test_")
            {
                dump(i + "...\n");
                var func = this[i];
                func();
            }
        }
        dump("SUCCESS!\n");
        quit();
    },
};

