function print(msg)
{
    dump(msg);
    dump("\n");
}

function alert(msg)
{
    dump("alert: [" + msg + "]");
}

function showNode(node)
{
    var accum = "";
    if (node.nodeType == 1) { accum += "ELEMENT"; }
    else { throw "Unknown node type [" + node.nodeType + "]"; }
    accum += ": <" + node.nodeName + ">";
    return accum;
}

function textContent(node)
{
    if (node == null) { return ""; }
    if (node.nodeType == 3) { return node.nodeValue; }
    var accum = "";
    for (var child = node.firstChild; child != null; child = child.nextSibling)
    {
        accum += textContent(child);
    }
    return accum;
}

function rangeData(range)
{
    var accum = "";
    for (var k = 0; k < range.length; k++)
    {
        accum += textContent(range[k]);
    }
    return accum.replace(/^\s*|\s*$/g, "");
}


